import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Controls.Styles 1.0

import "../Utils/Util.js" as Util

Button {
    property string textColor
    property string buttonText
	property string fontFamily
	property var    fontBold
	property int    fontPixelSize
    property var    buttonStateColors
    property var    buttonStateBorders

    style: ButtonStyle {
        background: Item {
            Rectangle {
                radius: 22
                color: Util.stateColor(control, buttonStateColors)
                border.color: Util.stateColor(control, buttonStateBorders)
                border.width: 2
                anchors.fill: parent
            }
            Text {
                anchors.fill: parent
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                text: buttonText
                color: textColor
                font.family: fontFamily
                font.pixelSize: fontPixelSize
				font.bold: fontBold
            }
        }
    }
}
