import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Controls.Styles 1.0

Row {
    id: styledCheckBox
    signal checkedChanged(bool checked)

    property string picture
	property string fontFamily
    property string checkBoxText

    spacing: 12

    CheckBox {
        id: checkBox
        width: 18
        height: 18
        style: CheckBoxStyle {
            background: Rectangle {
                color: "transparent"
                clip: true
                Image {
                    source: picture

                    property var uncheckedX         : !control.enabled  ? -36
                                                                        : control.hovered ? -18  : 0
                    property var partiallyCheckedX  : !control.enabled  ? -90
                                                                        : control.hovered ? -72  : -54
                    property var checkedX           : !control.enabled  ? -144
                                                                        : control.hovered ? -126 : -108

                    x : (control.checkedState == Qt.Unchecked)          ? uncheckedX :
                        (control.checkedState == Qt.PartiallyChecked)   ? partiallyCheckedX :
                        (control.checkedState == Qt.Checked)            ? checkedX : 0
                }
            }
            indicator: Rectangle {
                visible: false
            }
        }

        onCheckedChanged: {
            styledCheckBox.checkedChanged(checkBox.checked);
        }
    }

    Text {
            font {
                family: fontFamily
                pixelSize: 13
            }
            color: "#b4bad0"
            text: checkBoxText

            MouseArea {
                anchors.fill: parent

                onClicked: {
                    checkBox.checked = !checkBox.checked
                }
            }
        }
}
