import QtQuick 2.6
import QtQuick.Controls 1.5
import QtQuick.Controls.Styles 1.0

import "../Util.js" as Util
import "../style.js" as Style

Button {
	property alias title  : title.text
	property int textWidth: title.implicitWidth + title.anchors.leftMargin + title.anchors.rightMargin
	property int minWidth : 166

	width: textWidth < minWidth ? minWidth : textWidth
	style: ButtonStyle {
		background: Rectangle {
			radius: 14
			color: Util.stateColor(control, ["transparent", "transparent", "#303442", "#222532"])
			border { width: 2; color: Util.stateColor(control, ["#8a91a9", "#b4bad0", "#b4bad0", "#3f4558"]) }
		}
	}

	Text {
		id: title
		verticalAlignment: Label.AlignVCenter
		horizontalAlignment: Label.AlignHCenter
		color: parent.enabled ? Style.commonTextColor : "#3f4558"
		anchors { fill: parent; leftMargin: 10; rightMargin: 10 }
		font { family: Style.fontFamily; pixelSize: 14 }
	}
}
