import QtQuick 2.4
import QtQuick.Controls 2.5
import QtQuick.Layouts 1.9

import "../style.js" as Style

Item {
	property alias radioButtonIndicatorColor: radioButtonIndicator.color
	property alias emojiSource              : emoji.source
	property alias buttonState              : radioButton.checked
	property alias scoreText                : score.text
	readonly property int side              : 25
	property var colorPressed
	property var colorHovered
	property var buttonHovered: radioButton.hovered

	signal ratingClicked()

	QRCHolder {
		id: qrc
		qrcPath: "../img"
	}

	Image {
		anchors { top: parent.top; right: parent.right; left: parent.left }
		id: emoji
		height: 35
		width: 35
	}

	RadioButton {
		id: radioButton
		width: side
		height: side
		anchors { top: emoji.bottom; right: emoji.right; left: emoji.left; topMargin: 15; rightMargin: 6; leftMargin: 6 }
		ButtonGroup.group: userChoiceGroup
		indicator: Rectangle {
			id: radioButtonIndicator
			implicitHeight: side
			implicitWidth: side
			border { color: colorPressed; width: 2 }
			color: "#222732"
			radius: side / 2
			Rectangle {
				anchors.fill: parent
				visible: radioButton.checked || radioButton.hovered
				color: radioButton.checked ? colorPressed : colorHovered
				radius: side / 2
				anchors.margins: 4
			}
		}
		onClicked: ratingClicked()
	}

	Text {
		id: score
		horizontalAlignment: Text.AlignHCenter
		verticalAlignment: Text.AlignVCenter
		color: "#a9afc5"
		font { family: Style.fontFamily; pixelSize: 18 }
		anchors { top: radioButton.bottom; right: radioButton.right; left: radioButton.left; topMargin: 8 }
	}
}
