import QtQuick 2.6
import QtQuick.Controls 1.5
import QtQuick.Controls.Styles 1.0

import "../Util.js" as Util
import "../style.js" as Style

Button {
	property alias title: title.text
	property int textWidth: title.implicitWidth + title.anchors.leftMargin + title.anchors.rightMargin
	property int minWidth: 166

	width: textWidth < minWidth ? minWidth : textWidth

	style: ButtonStyle {
		background: Rectangle {
			radius: 16
			color: Util.stateColor(control, ["#94a6ff", "#7189d4", "#5e72b2", "#222532"])
		}
	}

	Text {
		id: title
		verticalAlignment: Label.AlignVCenter
		horizontalAlignment: Label.AlignHCenter
		color: parent.enabled ? "#1a1a1a" : "#5c647e"
		anchors { fill: parent; rightMargin: 10; leftMargin: 10 }
		font { family: Style.fontFamily; pixelSize: 14 }
	}
}
