import QtQuick 2.4
import QtQuick.Controls 2.12

import "../style.js" as Style

Flickable {
	property alias placeholderEditorText: textArea.placeholderText
	property alias editorText           : textArea.text
	property alias editorArea           : textArea
	property alias editorActive         : textArea.activeFocus

	id: flickable
	anchors.fill: parent
	contentWidth: textArea.width
	contentHeight: textArea.contentHeight
	boundsBehavior: Flickable.StopAtBounds

	TextArea.flickable:
		TextArea {
			id: textArea
			anchors.left: parent.left
			rightPadding: 18
			font { family: Style.fontFamily; pixelSize: 13;}
			placeholderTextColor: Style.placeholderColor
			color: Style.commonTextColor
			focus: true
			selectionColor: "#667fff"
			selectByMouse: true
			wrapMode: TextEdit.Wrap
		}

	ScrollBar.vertical: ScrollBar {
		id: scrollBar
		contentItem: Rectangle {
			implicitWidth: 6
			implicitHeight: 25
			radius: 4
			color: scrollBar.pressed || scrollBar.hovered ? "#4d5366" : "#3f4558"
			visible: textArea.contentHeight > flickable.height
		}
	}
}
