import QtQuick 2.6
import QtQuick.Controls 1.5
import QtQuick.Controls.Styles 1.0

import "../components"
import "../style.js" as Style

Item {
	id: goodCommentsPage
	property alias goodTitleText     : goodCommentTitle.text
	property alias sendButtonText    : goodFeedbackContainer.sendButtonText
	property alias bottomLinkText    : goodFeedbackContainer.bottomLinkText
	property alias privacyPolicyText : goodFeedbackContainer.privacyPolicyText
	property alias messagePlaceholder: goodFeedbackContainer.messagePlaceholder
	property alias emailPlaceholder  : goodFeedbackContainer.emailPlaceholder
	property alias invalidEmail      : goodFeedbackContainer.invalidEmail
	property alias messageTitle      : goodFeedbackContainer.messageTitle
	property alias emailTitle        : goodFeedbackContainer.emailTitle

	property alias commentText: goodFeedbackContainer.commentMessage
	property alias emailText  : goodFeedbackContainer.email

	signal closeRequested()
	signal buttonClicked()
	signal bottomLinkClicked()

	function realHeight() {
		var totalHeight = goodFeedbackContainer.realHeight() + goodFeedbackContainer.anchors.topMargin +
			goodCommentTitle.implicitHeight + goodCommentTitle.anchors.topMargin;
		return totalHeight
	}

	QRCHolder {
		id: qrc
		qrcPath: "../img"
	}

	Closer{}

	Text {
		id: goodCommentTitle
		horizontalAlignment: Text.AlignHCenter
		verticalAlignment: Text.AlignTop
		wrapMode: Label.WordWrap
		color: "#a9afc5"
		font { family: Style.fontFamily; pixelSize: 18 }
		anchors { top: parent.top; right: parent.right; left: parent.left; topMargin: 40; rightMargin: 68; leftMargin: 68 }
	}

	FeedbackContainer {
		id: goodFeedbackContainer
		anchors { top: goodCommentTitle.bottom; right: parent.right; bottom: parent.bottom; left: parent.left; topMargin: 12; rightMargin: 10; leftMargin: 10 }
		onSubmitClicked: goodCommentsPage.buttonClicked()
		onBottomLinkClicked: goodCommentsPage.bottomLinkClicked()
	}

}
