import QtQuick 2.6
import QtQuick.Controls 1.5
import QtQuick.Controls.Styles 1.0

import "../components"
import "../style.js" as Style

Item {
	property alias titleText      : title.text
	property alias closeButtonText: buttonClose.title

	signal closeClicked()

	QRCHolder {
		id: qrc
		qrcPath: "../img"
	}

	Image {
		width: 37
		height: 27
		source: qrc.iconPath("done_big")
		anchors { horizontalCenter: parent.horizontalCenter; top: parent.top; topMargin: 40 }
	}

	Text {
		id: title
		height: 48
		color: "#ffffff"
		horizontalAlignment: Text.AlignHCenter
		verticalAlignment: Text.AlignVCenter
		anchors { horizontalCenter: parent.horizontalCenter; top: parent.top; topMargin: 85 }
		font { family: Style.fontFamily; pixelSize: 16 }
		lineHeight: 1.5
	}

	CloseButton {
		id: buttonClose
		height: 28
		anchors { right: parent.right; bottom: parent.bottom; left: parent.left; rightMargin: 140; bottomMargin: 33; leftMargin: 141 }
		onClicked: closeClicked()
	}
}
